Package net.shibboleth.saml.saml2.profile.config

# Interface SingleLogoutProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAML2ProfileConfiguration`, `SAMLArtifactConsumerProfileConfiguration`, `SAMLProfileConfiguration`

public interface SingleLogoutProfileConfiguration extends SAML2ProfileConfiguration, SAMLArtifactConsumerProfileConfiguration
Configuration support for SAML 2 Single Logout.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`PROFILE_ID`
ID for this profile configuration.

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`getQualifiedNameIDFormats(ProfileRequestContext profileRequestContext)`
Get a collection of `NameID` Format values for which the use of the NameQualifier and SPNameQualifier attributes is defined to allow default/implicit values derived from the asserting and relying parties.
`boolean`
`isClientTLSSOAPRequests(MessageContext messageContext)`
Get whether SOAP-based requests should use client TLS.
`boolean`
`isSignSOAPRequests(MessageContext messageContext)`
Get whether SOAP-based requests should be signed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.saml2.profile.config.SAML2ProfileConfiguration

`isEncryptionOptional, isEncryptNameIDs, isIgnoreRequestSignatures`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLArtifactConsumerProfileConfiguration

`isClientTLSArtifactRequests, isSignArtifactRequests`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Field Details

### PROFILE_ID

@Nonnull @NotEmpty static final String PROFILE_ID
ID for this profile configuration.

See Also:
  - Constant Field Values

## Method Details

### isSignSOAPRequests

boolean isSignSOAPRequests(@Nullable MessageContext messageContext)
Get whether SOAP-based requests should be signed.

Parameters:
  `messageContext` - current message context
Returns:
  whether SOAP-based requests should be signed

### isClientTLSSOAPRequests

boolean isClientTLSSOAPRequests(@Nullable MessageContext messageContext)
Get whether SOAP-based requests should use client TLS.

Parameters:
  `messageContext` - current message context
Returns:
  whether SOAP-based requests should use client TLS

### getQualifiedNameIDFormats

@ConfigurationSetting(name="qualifiedNameIDFormats") @Nonnull @Unmodifiable @NotLive Collection<String> getQualifiedNameIDFormats(@Nullable ProfileRequestContext profileRequestContext)
Get a collection of `NameID` Format values for which the use of the NameQualifier and SPNameQualifier attributes is defined to allow default/implicit values derived from the asserting and relying parties.

In the core standard, only the `NameIDType.PERSISTENT` and `NameIDType.TRANSIENT` Formats are defined in this manner. This setting identifies additional Formats that should be handled in this way.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  additional Formats for which defaulting of qualifiers is permissable
Since:
  3.4.0